%global momorel 2
%global md5sum_src0 c5ecffacafc196220e49aeacfc4bf088

Summary: The Automated Text and Program Generation Tool
Name: autogen
Version: 5.7.3
Release: %{momorel}m
License: GPL and BSD and Modified BSD and Public Domain
Group: Development/Tools
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
URL: http://autogen.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: guile-devel >= 1.6.4
BuildPrereq: libxml2-devel >= 2.6.16

%description
AutoGen is a tool designed to simplify the creation and maintenance of
programs that contain large amounts of repetitious text. It is especially
valuable in programs that have several blocks of text that must be kept
synchronized.

%package devel
Summary: The Automated Text and Program Generation Tool
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The autogen-devel package contains the header files, static libraries,
and developer docs for AutoGen.

%prep
%setup -q 

%build
%configure
%undefine _smp_mflags
make -k

%install
rm -rf --preserve-root %{buildroot}
%makeinstall transform='s,x,x,'
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%preun devel
if [ "$1" = 0 ]; then
    /sbin/install-info --delete %{_infodir}/autogen.info %{_infodir}/dir
fi

%post devel
if [ "$1" = 1 ]; then
    /sbin/install-info %{_infodir}/autogen.info %{_infodir}/dir
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS NOTES README THANKS TODO
%{_bindir}/*
%{_libdir}/libguileopts.so.*
%{_libdir}/libopts.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/autoopts/*.h
%{_libdir}/libguileopts.a
%{_libdir}/libguileopts.la
%{_libdir}/libguileopts.so
%{_libdir}/libopts.a
%{_libdir}/libopts.la
%{_libdir}/libopts.so
%{_libdir}/pkgconfig/autoopts.pc
%{_datadir}/aclocal/autoopts.m4
%{_datadir}/autogen/*
%{_infodir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Jun  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.7.3-2m)
- delete duplicated dir

* Mon Oct 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (5.7.3-1m)
- up to 5.7.3

* Sun Jul 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (5.7.1-2m)
- nigirisugi
- install info 

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (5.7.1-1m)
- up to 5.7.1

* Tue May 17 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (5.7-1m)
- initial import to Momonga

